Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -16,6 +16,7 @@
 # With this then on the new arch do rpmbuild -ba -v --with java_bootstrap gcc41.spec
 %define bootstrap_java %{?_with_java_bootstrap:%{build_java}}%{!?_with_java_bootstrap:0}
 %define build_java_tar %{?_with_java_tar:%{build_java}}%{!?_with_java_tar:0}
+%define build_objc 1
 %ifarch s390x
 %define multilib_32_arch s390
 %endif
@@ -999,7 +1000,9 @@ mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libsupc++.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortran.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortranbegin.*a .
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.*a .
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.*a $FULLLPATH/
 mv -f $RPM_BUILD_ROOT%{_prefix}/include/mf-runtime.h include/
@@ -1021,7 +1024,9 @@ ln -sf ../lib64/libgcj_bc.so 64/libgcj_b
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libsupc++.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgfortran.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgfortranbegin.*a 64/
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libobjc.*a 64/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgomp.*a 64/
 ln -sf lib32/libstdc++.a libstdc++.a
 ln -sf ../lib64/libstdc++.a 64/libstdc++.a
@@ -1046,7 +1051,9 @@ ln -sf ../`echo ../../../../lib64/libgij
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libsupc++.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgfortran.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgfortranbegin.*a 32/
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libobjc.*a 32/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgomp.*a 32/
 %endif
 %ifarch sparc64 ppc64
@@ -1079,7 +1086,9 @@ popd
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortran.so.1.*
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.so.1.*
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.so.0.*
+%if %{build_objc}
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.so.1.*
+%endif
 
 %if %{build_ada}
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgnarl*so*
@@ -1453,6 +1462,7 @@ fi
 %endif
 %doc rpm.doc/changelogs/libstdc++-v3/ChangeLog* libstdc++-v3/README* libstdc++-v3/docs/html/
 
+%if %{build_objc}
 %files objc
 %defattr(-,root,root)
 %dir %{_prefix}/lib/gcc
@@ -1489,6 +1499,7 @@ fi
 %files -n libobjc
 %defattr(-,root,root)
 %{_prefix}/%{_lib}/libobjc.so.1*
+%endif
 
 %files gfortran
 %defattr(-,root,root)
